void drawMark(int h)
{
  float x1, y1, x2, y2;

  h=h*30;
  h=h+270;

  x1=110*cos(h*0.0175);
  y1=110*sin(h*0.0175);
  x2=100*cos(h*0.0175);
  y2=100*sin(h*0.0175);

  tft.drawLine(x1+clockCenterX, y1+clockCenterY, x2+clockCenterX, y2+clockCenterY, ILI9341_POWDERBLUE);
}

void drawSec(int s)
{
  int x1, y1, x2, y2;
  int ps = s-1;


  if (ps==-1)
    ps=59;
  ps=ps*6;
  ps=ps+270;

  x1=round(95*cos(ps*0.0175));
  y1=round(95*sin(ps*0.0175));
  x2=round(80*cos(ps*0.0175));
  y2=round(80*sin(ps*0.0175));

// CLEAR Post Second
  tft.fillCircle(x1+clockCenterX, y1+clockCenterY,3,ILI9341_BLACK);


  s=s*6;
  s=s+270;

  x1=round(95*cos(s*0.0175));
  y1=round(95*sin(s*0.0175));
  x2=round(80*cos(s*0.0175));
  y2=round(80*sin(s*0.0175));

  tft.fillCircle(x1+clockCenterX, y1+clockCenterY, 2, ILI9341_RED );
}

void drawMin(int m)
{
  float x1, y1, x2, y2, x3, y3, x4, y4;
  int pm = m-1;


  if (pm==-1)
    pm=59;
  pm=pm*6;
  pm=pm+270;

  x1=80*cos(pm*0.0175);
  y1=80*sin(pm*0.0175);
  x2=5*cos(pm*0.0175);
  y2=5*sin(pm*0.0175);
  x3=30*cos((pm+4)*0.0175);
  y3=30*sin((pm+4)*0.0175);
  x4=30*cos((pm-4)*0.0175);
  y4=30*sin((pm-4)*0.0175);

// Clear Post Minute
  tft.drawLine(x1+clockCenterX, y1+clockCenterY, x3+clockCenterX, y3+clockCenterY, ILI9341_BLACK);
  tft.drawLine(x3+clockCenterX, y3+clockCenterY, x2+clockCenterX, y2+clockCenterY, ILI9341_BLACK);
  tft.drawLine(x2+clockCenterX, y2+clockCenterY, x4+clockCenterX, y4+clockCenterY, ILI9341_BLACK);
  tft.drawLine(x4+clockCenterX, y4+clockCenterY, x1+clockCenterX, y1+clockCenterY, ILI9341_BLACK);


  m=m*6;
  m=m+270;

  x1=80*cos(m*0.0175);
  y1=80*sin(m*0.0175);
  x2=5*cos(m*0.0175);
  y2=5*sin(m*0.0175);
  x3=30*cos((m+4)*0.0175);
  y3=30*sin((m+4)*0.0175);
  x4=30*cos((m-4)*0.0175);
  y4=30*sin((m-4)*0.0175);

  tft.drawLine(x1+clockCenterX, y1+clockCenterY, x3+clockCenterX, y3+clockCenterY, ILI9341_WHITESMOKE);
  tft.drawLine(x3+clockCenterX, y3+clockCenterY, x2+clockCenterX, y2+clockCenterY, ILI9341_WHITESMOKE);
  tft.drawLine(x2+clockCenterX, y2+clockCenterY, x4+clockCenterX, y4+clockCenterY, ILI9341_WHITESMOKE);
  tft.drawLine(x4+clockCenterX, y4+clockCenterY, x1+clockCenterX, y1+clockCenterY, ILI9341_WHITESMOKE);
}

void drawHour(int h, int m)
{
  float x1, y1, x2, y2, x3, y3, x4, y4;
  int ph = h;


  if (m==0)
  {
    ph=((ph-1)*30)+((m+59)/2);
  }
  else
  {
    ph=(ph*30)+((m-1)/2);
  }
  ph=ph+270;

  x1=60*cos(ph*0.0175);
  y1=60*sin(ph*0.0175);
  x2=5*cos(ph*0.0175);
  y2=5*sin(ph*0.0175);
  x3=20*cos((ph+5)*0.0175);
  y3=20*sin((ph+5)*0.0175);
  x4=20*cos((ph-5)*0.0175);
  y4=20*sin((ph-5)*0.0175);

// Clear Post Hour
  tft.drawLine(x1+clockCenterX, y1+clockCenterY, x3+clockCenterX, y3+clockCenterY, ILI9341_BLACK);
  tft.drawLine(x3+clockCenterX, y3+clockCenterY, x2+clockCenterX, y2+clockCenterY, ILI9341_BLACK);
  tft.drawLine(x2+clockCenterX, y2+clockCenterY, x4+clockCenterX, y4+clockCenterY, ILI9341_BLACK);
  tft.drawLine(x4+clockCenterX, y4+clockCenterY, x1+clockCenterX, y1+clockCenterY, ILI9341_BLACK);


  h=(h*30)+(m/2);
  h=h+270;

  x1=60*cos(h*0.0175);
  y1=60*sin(h*0.0175);
  x2=5*cos(h*0.0175);
  y2=5*sin(h*0.0175);
  x3=20*cos((h+5)*0.0175);
  y3=20*sin((h+5)*0.0175);
  x4=20*cos((h-5)*0.0175);
  y4=20*sin((h-5)*0.0175);

  tft.drawLine(x1+clockCenterX, y1+clockCenterY, x3+clockCenterX, y3+clockCenterY, ILI9341_PURPLE);
  tft.drawLine(x3+clockCenterX, y3+clockCenterY, x2+clockCenterX, y2+clockCenterY, ILI9341_PURPLE);
  tft.drawLine(x2+clockCenterX, y2+clockCenterY, x4+clockCenterX, y4+clockCenterY, ILI9341_PURPLE);
  tft.drawLine(x4+clockCenterX, y4+clockCenterY, x1+clockCenterX, y1+clockCenterY, ILI9341_PURPLE);
}




void drawDisplay()
{
  // Draw Clockface

  for (int i=0; i<5; i++)
  {
    tft.drawCircle(clockCenterX, clockCenterY, 119-i, 0xFF00 + i * 25 );
  }
  /*for (int i=0; i<5; i++)
  {
    tft.drawCircle(clockCenterX, clockCenterY, i, 0xFF20 + i * 5);
  }*/

  tft.setTextColor(ILI9341_WHITESMOKE, ILI9341_BLACK);
  tft.printAt("3", clockCenterX+101, clockCenterY-8);
  tft.printAt("6", clockCenterX-8, clockCenterY+99);
  tft.printAt("9", clockCenterX-109, clockCenterY-8);
  tft.printAt("12", clockCenterX-3, clockCenterY-110);
  for (int i=0; i<12; i++)
  {
    if ((i % 3)!=0)
      drawMark(i);
  }

  drawMin(Datum.Min);
  drawHour(Datum.Hour, Datum.Min);
  drawSec(Datum.Sec);
  oldsec = Datum.Sec;

}

void PrintZeit(int hour,int min,int sec )
{

  sprintf (strBuff, "%d : %d : %d" , hour, min , sec);
   tft.printAt(strBuff, 220,20,15,15 );


}
